ELFTC_RELOC_TYPE_STR(3)

NAME
elftc_reloc_type_str - return the type name for an ELF relocation

LIBRARY
libelftc

SYNOPSIS
#include <libelftc.h>
const char *
elftc_reloc_type_str(unsigned int mach, unsigned int type);

DESCRIPTION
Function elftc_reloc_type_str() returns the name for specified relocation type.

Argument mach specifies the machine (architecture) type. Argument type specifies the relocation value.

RETURN VALUE
Function elftc_program_version() returns a pointer to a string constant, or to an internal character buffer if the relocation type is unknown.

EXAMPLES
To print ARM relocation type 7, use:

    #include <sys/types.h>
    #include <libelftc.h>
    #include <stdio.h>
    (void) printf("%s\n", elftc_reloc_type_str(EM_ARM, 7));

ERRORS
Function elftc_reloc_type_str() always succeeds.